._hide {
  display: none !important;
}
._show {
  display: block !important;
}
._invisible {
  visibility: hidden;
}
// ._text-hide {
//   @include text-hide;
// }

// Visibility utilities
// Note: Deprecated .visible-xs, .visible-sm, .visible-md, and .visible-lg as of v3.2.0

@include responsive-invisibility('.visible-xs');
@include responsive-invisibility('.visible-sm');
@include responsive-invisibility('.visible-md');
@include responsive-invisibility('.visible-lg');

._visible-xs-block,
._visible-xs-inline,
._visible-xs-inline-block,
._visible-sm-block,
._visible-sm-inline,
._visible-sm-inline-block,
._visible-md-block,
._visible-md-inline,
._visible-md-inline-block,
._visible-lg-block,
._visible-lg-inline,
._visible-lg-inline-block {
  display: none !important;
}

@media (max-width: $screen-xs-max) {
  @include responsive-visibility('.visible-xs');
}
._visible-xs-block {
  @media (max-width: $screen-xs-max) {
    display: block !important;
  }
}
._visible-xs-inline {
  @media (max-width: $screen-xs-max) {
    display: inline !important;
  }
}
._visible-xs-inline-block {
  @media (max-width: $screen-xs-max) {
    display: inline-block !important;
  }
}

._visible-xs-inline-flex {
  @media (max-width: $screen-xs-max) {
    display: inline-flex !important;
  }
}

@media (min-width: $screen-sm-min) and (max-width: $screen-sm-max) {
  @include responsive-visibility('.visible-sm');
}
._visible-sm-block {
  @media (min-width: $screen-sm-min) and (max-width: $screen-sm-max) {
    display: block !important;
  }
}
._visible-sm-inline {
  @media (min-width: $screen-sm-min) and (max-width: $screen-sm-max) {
    display: inline !important;
  }
}
._visible-sm-inline-block {
  @media (min-width: $screen-sm-min) and (max-width: $screen-sm-max) {
    display: inline-block !important;
  }
}

._visible-sm-inline-flex {
  @media (min-width: $screen-sm-min) and (max-width: $screen-sm-max) {
    display: inline-flex !important;
  }
}

@media (min-width: $screen-md-min) and (max-width: $screen-md-max) {
  @include responsive-visibility('.visible-md');
}
._visible-md-block {
  @media (min-width: $screen-md-min) and (max-width: $screen-md-max) {
    display: block !important;
  }
}
._visible-md-inline {
  @media (min-width: $screen-md-min) and (max-width: $screen-md-max) {
    display: inline !important;
  }
}
._visible-md-inline-block {
  @media (min-width: $screen-md-min) and (max-width: $screen-md-max) {
    display: inline-block !important;
  }
}

._visible-md-inline-flex {
  @media (min-width: $screen-md-min) and (max-width: $screen-md-max) {
    display: inline-flex !important;
  }
}

@media (min-width: $screen-lg-min) {
  @include responsive-visibility('.visible-lg');
}
._visible-lg-block {
  @media (min-width: $screen-lg-min) {
    display: block !important;
  }
}
._visible-lg-inline {
  @media (min-width: $screen-lg-min) {
    display: inline !important;
  }
}
._visible-lg-inline-block {
  @media (min-width: $screen-lg-min) {
    display: inline-block !important;
  }
}

._visible-lg-inline-flex {
  @media (min-width: $screen-lg-min) {
    display: inline-flex !important;
  }
}

@media (max-width: $screen-xs-max) {
  @include responsive-invisibility('._hidden-xs');
}

@media (min-width: $screen-sm-min) and (max-width: $screen-sm-max) {
  @include responsive-invisibility('._hidden-sm');
}

@media (min-width: $screen-md-min) and (max-width: $screen-md-max) {
  @include responsive-invisibility('._hidden-md');
}

@media (min-width: $screen-lg-min) {
  @include responsive-invisibility('._hidden-lg');
}


// Print utilities
//
// Media queries are placed on the inside to be mixin-friendly.

// Note: Deprecated .visible-print as of v3.2.0

@include responsive-invisibility('.visible-print');

@media print {
  @include responsive-visibility('.visible-print');
}
._visible-print-block {
  display: none !important;

  @media print {
    display: block !important;
  }
}
._visible-print-inline {
  display: none !important;

  @media print {
    display: inline !important;
  }
}
._visible-print-inline-block {
  display: none !important;

  @media print {
    display: inline-block !important;
  }
}

@media print {
  @include responsive-invisibility('.hidden-print');
}
